#include<bits/stdc++.h>
using namespace std;
int tonguoc(long long a)
{
	int i,t=1;
	for(i=2;i<=a/2;i++)
	{
		if(a%i==0)
		t=t+i;
	}
	return t;
}
int main()
{
	ifstream f1("dayso.inp");
	ofstream f2("SOHH.out");
	int a,i;
	f1>>a;
	int z[200];
	for(i=1;i<=a;i++)
	{
		f1>>z[i];
	}
	for(i=1;i<=a;i++)
	{
		if(z[i]>1)
		if(tonguoc(z[i])==z[i])
		f2<<z[i]<<endl;
	}
	f1.close();
	f2.close();
}
